/* ANCHOR: all */
# Ceremony Repository

// ANCHOR: content
This repository holds data pertaining to ceremonies. The primary data consists of:

* Transaction proposals

* Transaction approvals

* Trusted PGP keyring

* Shardfile

* Policies (such as spending rules)

* Ceremony logs 

## Directives

* MUST be a private repository

* MUST be write protected, requiring approval from at least 1 individual other than one who opened the PR for merging

* MUST require signed commits

## Repository Structure

```
ceremonies/
    <date>/
        log.txt
            - [ ] TODO: write a layout for the log
        workflow_payloads/
            workflow_payload_<num>.json
            workflow_payload_<num>.json.sig
blockchain_metadata/
    sol_nonce_address.txt
policies/
    spending-policy.json [NOT IMPLEMENTED]
keyring.asc
shardfile.asc
```

## Procedure: Setting up Repository

{{ #include ./git-repository-initialization.md:procedure}}

## Procedure: Adding a OpenPGP Public Certificate

1. Designate the role of the key - it should be placed into the corresponding role directory

1. Open a PR submitting the key to the repository

    * MUST be via commit signed by the PGP key being submitted to the repository

1. Two other authorized individuals (TODO define how they are authorized) must perform a signing ceremony where the master key signature of the public certificate is added to the public certificate

    - [ ] TODO add instructions/doc

1. The PR should be merged using a signed commit via the git CLI

// ANCHOR_END: content
/* ANCHOR_END: all */

